# RealDigiFace
The more realistic version of the DigiFace1M.
DigiFace1M(https://github.com/microsoft/DigiFace1M) originally created by the 3D rendering engines. When this dataset is used to train Face Recognition systems there is OOD problem by evaluating the trained models against real dataset like LFW, IJB-B and IJB-C. In our paper we tried to address this problem by post processing the original images.
This type of dataset is generated by simply passing the images from [DigiFace1M](https://github.com/microsoft/DigiFace1M) through methods like CodeFormer and VSAIT.

```
 DigiFace1M -> F -> RealDigiFace
```

The key idea here is that F sees only real images (e.g., FFHQ in the case of CodeFormer) or additionally a subset of DigiFace1M itself in the case of unparied image-to-image translation methodologies like VSAIT. The intersting findings here was that even without enforcing any identity prior we observed a performance boost in the task of Face Recognition system when we train the model on the transferred images (RealDigiFace).

For more information please check our [code](https://gitlab.idiap.ch/biometric/code.syn2auth).


## Details: 

Dataset is published in two formats: 
* Image folder: **RealDigiFace_CF_image_folder** and **RealDigiFace_VSAIT_image_folder**.
* MxNet's rec files: **RealDigiFace_CF_rec** and **RealDigiFace_VSAIT_rec**.

RealDigiFace_CF* is the processed version of dataset using CodeFormer.
RealDigiFace_VSAIT* is the processed version of dataset using VSAIT.

For SOTA comparisons use *RealDigiFace_CF* variant.


## Scripts: 
* checksum.sh: creates the checksum of the rec files.
* verify.sh: verifies the shipped checksums for file integraty check.